/*============================================================================
  File:     Parallelism.sql

  Summary:  Create some parallelism waits

  Date:     March 2011

  SQL Server Versions:
		10.0.2531.00 (SS2008 SP1)
		9.00.4035.00 (SS2005 SP3)
------------------------------------------------------------------------------
  Written by Paul S. Randal, SQLskills.com

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  You may alter this code for your own *non-commercial* purposes. You may
  republish altered code as long as you give due credit.
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

/*
USE master;
GO
DROP DATABASE ParallelismTest;
GO

RESTORE DATABASE ParallelismTest FROM
DISK = 'D:\SQLskills\DemoBackups\Parallelism.bak'
WITH REPLACE, STATS;
GO
*/

USE ParallelismTest;
GO

SET NOCOUNT ON;
GO

DECLARE @ExecString VARCHAR (8000);

WHILE (1=1)
BEGIN
	-- Calculate doc name length
	SELECT @ExecString = 'SELECT TOP 10 * FROM NonSparseDocRepository ORDER BY c' +
		CAST (CONVERT (INT, RAND () * 1000) AS VARCHAR) +
		' DESC OPTION (MAXDOP 8)';
		
	--SELECT @ExecString;
	EXEC (@ExecString);
	--SELECT * FROM NonSparseDocRepository ORDER BY c10;
	
	WAITFOR DELAY '00:00:00.5';
END;
GO

-- Look at stats

-- Add in OPTION (MAXDOP 4), look at stats

-- Add in OPTION (MAXDOP 2), look at stats

-- Add in OPTION (MAXDOP 1), look at stats